package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.ggfw.portal.dto.common.PageDTO;

import jakarta.validation.constraints.NotBlank;

public class SxQueryDTO extends PageDTO implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "事项名称")
    private String sxmc;
    
    @ApiModelProperty(value = "受理渠道")
    @NotBlank(message = "受理渠道不能为空")
    private String slqd;
    
    @ApiModelProperty(value = "实施部门")
    @NotBlank(message = "实施部门不能为空")
    private String ssbm;
    
    @ApiModelProperty(value = "到现场次数")
    private String dxccs;
    
    @ApiModelProperty(value = "办理类型")
    private String bllx;
    
    @ApiModelProperty(value = "业务主题")
    private String ywzt;
    
    @ApiModelProperty(value = "服务对象")
    private String fwdx;

	@ApiModelProperty(value = "是否一件事事项")
	private String isyjs;

	public String getSxmc() {
		return sxmc;
	}

	public void setSxmc(String sxmc) {
		this.sxmc = sxmc;
	}

	public String getSlqd() {
		return slqd;
	}

	public void setSlqd(String slqd) {
		this.slqd = slqd;
	}

	public String getSsbm() {
		return ssbm;
	}

	public void setSsbm(String ssbm) {
		this.ssbm = ssbm;
	}

	public String getDxccs() {
		return dxccs;
	}

	public void setDxccs(String dxccs) {
		this.dxccs = dxccs;
	}

	public String getBllx() {
		return bllx;
	}

	public void setBllx(String bllx) {
		this.bllx = bllx;
	}

	public String getYwzt() {
		return ywzt;
	}

	public void setYwzt(String ywzt) {
		this.ywzt = ywzt;
	}

	public String getFwdx() {
		return fwdx;
	}

	public void setFwdx(String fwdx) {
		this.fwdx = fwdx;
	}

	public String getIsyjs() {
		return isyjs;
	}

	public void setIsyjs(String isyjs) {
		this.isyjs = isyjs;
	}
}

